Bug 185210 - util-linux - policycoreutils circular dependancy
util-linux - policycoreutils circular dependancy
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-11 15:41 EST by Matthew Truch
Modified: 2013-01-09 22:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-12 11:21:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Truch 2006-03-11 15:41:49 EST
Circular Dependancy (which causes the Fedora Extras build system to fail on many
builds):
util-linux-2.13-0.20.i386                PreReq: /sbin/restorecon
policycoreutils-1.29.26-5.i386           PreReq: /bin/mount

This was created when util-linux was last updated:
* Thu Mar 09 2006 Jesse Keating <jkeating@redhat.com> 2.13-0.20
  - Better calling of restorecon as suggested by Bill Nottingham
  - prereq restorecon to avoid ordering issues
* Thu Mar 09 2006 Jesse Keating <jkeating@redhat.com> 2.13-0.19
  - restorecon /var/log/lastlog
Comment 1 Karel Zak 2006-03-12 07:26:31 EST
Jesse, what remove the dependence on /sbin/restorecon and replace it with simple
test:

if [ -x /sbin/restorecon ]; then 
  /sbin/restorecon /var/log/lastlog >/dev/null 2>&1
fi

I think we should assume that people use FC without policy packages and I'm not
sure if this dependence is good idea for so basic package like util-linux.
Comment 2 Karel Zak 2006-03-12 08:21:32 EST
It seems the problem should be fixed by the latest policycoreutils release:

* Fri Mar 10 2006 Dan Walsh <dwalsh@redhat.com> 1.29.26-6
- Remove prereq

But I still not sure if "PreReq: /sbin/restorecon" in the util-linux package is
a good idea. From my point of view it should more optinal.

# rpm -q --whatrequires /sbin/restorecon
xorg-x11-xfs-1.0.1-4
util-linux-2.13-0.20
Comment 3 Jesse Keating 2006-03-12 11:20:59 EST
policy already gets pulled in by other very basic packages.  Pretty much these
days if you install FC, you get selinux in one way or another.  We just need to
make sure the packages that require parts of it to run list them as prereqs for
rpm ordering.
Comment 4 Bill Nottingham 2006-03-13 12:57:26 EST
If the prereq isn't there, it almost certainly *will* get ordered wrong, judging
by previous ordering of the packages.

Note You need to log in before you can comment on or make changes to this bug.